﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Tempesta.Web.Syndication;

namespace UnitTest
{
	[TestClass]
	public class UnitTestRssWriter
	{
		private RssFeed _rss;

		[TestInitialize]
		public void Initialize()
		{
			_rss = new RssFeed();
		}

		[TestMethod]
		public void TestWrite()
		{
			using (RssWriter writer = new RssWriter(_rss))
			{
				StringBuilder sb = new StringBuilder();
				writer.Write(sb);

				Assert.IsNotNull(sb.ToString());
				Assert.AreNotEqual<string>(sb.ToString(), string.Empty);
			}
		}
	}
}
