﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Tempesta.Web.Syndication;

namespace UnitTest
{
	[TestClass]
	public class UnitTestRssFeed
	{
		[TestMethod]
		public void TestChannelIsNotNull()
		{
			RssFeed rss = new RssFeed();
			Assert.IsNotNull(rss.Channel);
		}

		[TestMethod]
		public void TestAddItem()
		{
			RssFeed rss = new RssFeed();
			rss.AddItem(
				new RssItem("Item #00001", new RssItem.Guid("http://www.YourCompany.com/rss/#00001"))
				{
					ItemSource = new RssItem.Source("Source Title", new Uri("http://www.republishedfromhere.com"))
				}
			);

			Assert.AreEqual<int>(rss.Channel.Items.Count, 1);
		}
	}
}
